@charset "utf-8";

body,
.mainContents {
    height: max-content;
}

.mainContents {
    width: 70%;
    font-family: "Sen", sans-serif;
    font-optical-sizing: auto;
    font-weight: weight;
    font-style: normal;
}

/* イラスト → */
.realItems {
    padding: 20px;
    display: grid;
    gap: 10px;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
}

.realContent {
    padding: 20px;
    background-color: #ffffff69;
}

.realContent img {
    width: 100%;
    cursor: pointer;
}
/* イラスト ← */

.background {
    width: 30%;
    position: fixed;
    top: 0;
    right: 0;
}

/* モーダル → */
.modal {

    position: fixed;
    inset: 0;

    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;

    background: rgba(0, 0, 0, .8);
    backdrop-filter: blur(8px);

    opacity: 0;
    visibility: hidden;

    transition: .3s;

    z-index: 9999;

}

.modal.show {

    opacity: 1;
    visibility: visible;

}

.modalImg {

    max-width: 80%;
    max-height: 80%;

    border-radius: 12px;

    transform: scale(.9);

    transition: .3s;

}

.modal.show .modalImg {

    transform: scale(1);

}

.prev,
.next {

    font-size: 40px;

    background: none;
    border: none;

    color: white;

    cursor: pointer;

}
/* モーダル ← */
/* pagetop → */
.topBtn {
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 100;
    font-size: 16px;
    opacity: 0;
    transform: translateY(20px);
    pointer-events: none;
    transition: opacity 0.4s ease, transform 0.4s ease;
}

.topBtn::before {
    content: "▶";
    display: inline-block;
    transform: rotate(-90deg);
}

.topBtn.active {
    opacity: 1;
    transform: translateY(0px);
    pointer-events: auto;
}

/* pagetop ← */
@media (max-width: 1024px) {
    .background {
        width: 100%;
        height: 100%;
    }
}

@media (max-width: 760px) {
    .mainContents {
        width: 100%;
    }

    .realItems {
        grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    }

}